| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
sct_fsm.h File Reference
`#include "sct_user.h"`

Go to the source code of this file.

## Macros
#define | SCT_OUTPUT_JUMP_SIGNAL (6)
#define | SCT_OUTPUTPRELOAD_JUMP_SIGNAL (0)
#define | SCT_OUTPUT_CTOUT0 (5)
#define | SCT_OUTPUTPRELOAD_CTOUT0 (1)
#define | SCT_OUTPUT_CTOUT1 (4)
#define | SCT_OUTPUTPRELOAD_CTOUT1 (1)
#define | SCT_OUTPUT_CTOUT2 (2)
#define | SCT_OUTPUTPRELOAD_CTOUT2 (1)
#define | SCT_OUTPUT_CTOUT3 (3)
#define | SCT_OUTPUTPRELOAD_CTOUT3 (1)
#define | reload_toggleTimeout(value) LPC_SCT->MATCHREL_L[0] = value;
#define | reload_jumpTimeout(value) LPC_SCT->MATCHREL_H[0] = value;

## Functions
void | sct_fsm_init (void)

## Macro Definition Documentation

#define reload_jumpTimeout | ( |  | value | ) | LPC_SCT->MATCHREL_H[0] = value;

Definition at line 25 of file sct_fsm.h.

#define reload_toggleTimeout | ( |  | value | ) | LPC_SCT->MATCHREL_L[0] = value;

Definition at line 24 of file sct_fsm.h.

#define SCT_OUTPUT_CTOUT0 (5)

Definition at line 13 of file sct_fsm.h.

#define SCT_OUTPUT_CTOUT1 (4)

Definition at line 15 of file sct_fsm.h.

#define SCT_OUTPUT_CTOUT2 (2)

Definition at line 17 of file sct_fsm.h.

#define SCT_OUTPUT_CTOUT3 (3)

Definition at line 19 of file sct_fsm.h.

#define SCT_OUTPUT_JUMP_SIGNAL (6)

Definition at line 11 of file sct_fsm.h.

#define SCT_OUTPUTPRELOAD_CTOUT0 (1)

Definition at line 14 of file sct_fsm.h.

#define SCT_OUTPUTPRELOAD_CTOUT1 (1)

Definition at line 16 of file sct_fsm.h.

#define SCT_OUTPUTPRELOAD_CTOUT2 (1)

Definition at line 18 of file sct_fsm.h.

#define SCT_OUTPUTPRELOAD_CTOUT3 (1)

Definition at line 20 of file sct_fsm.h.

#define SCT_OUTPUTPRELOAD_JUMP_SIGNAL (0)

Definition at line 12 of file sct_fsm.h.

## Function Documentation

void sct_fsm_init | ( | void |  | ) |

Definition at line 10 of file sct_fsm_hitex_eva_18504350.c.